Published when a RFI is required during a transaction process.
Usage Guidelines
Upon receiving this notification, please follow the steps below:
- Retrieve RFI Details
Use therfi_idprovided in the notification to call the API Retrieve RFI. This API returns the required file information for the current RFI. - Upload Required File
Upload the specified file via the API Upload A File. Upon success, afile_idwill be returned. - Submit File via Answer RFI
Submit thefile_idto UQPAY using the API Answer RFI.
Please ensure that theanswer.keyin your request matches thequestion.keyreturned from the Retrieve RFI response.
Event metadata
- name:
RFI - types:
rfi.transaction.action_required
Request body
| Fields | Data Type | Description |
|---|---|---|
version | string | API Version number. |
event_name | string | Event name. |
event_type | string | Type of event that triggered the RFI. Valid values are:
rfi.transaction.action_required will be returned. |
event_id | string | A unique UUID identifier of the event. |
source_id | string | A unique UUID identifier of the source, which in this case is the rfi_id. |
data.rfi_id | string | A unique UUID identifier of the RFI. |
data.rfi_type | string | The type of RFI. Indicates the business scenario for which the RFI was triggered. Valid values are:
transaction will be returned. |
data.account_id | string | A unique UUID identifier of the account. |
data.create_time | string | The timestamp when the RFI was initiated. Timestamp follows the ISO 8601 standard. |
data.update_time | string | The timestamp when the RFI was updated. Timestamp follows the ISO 8601 standard. |
data.transaction_type | string | The type of transaction related to the RFI. This field is only returned when rfi_type is transaction. Valid values are:
|
data.ref_reference_id | string | A unique UUID referencing the related entity:
|
Notification example
{
"version": "V1.5.2",
"event_name": "RFI",
"event_type": "rfi.transaction.action_required",
"event_id": "4cd4a279-d801-49e3-a3fe-62059ab5724c",
"source_id": "a561a466-4cef-4b98-bb44-4864610819d8",
"data": {
"rfi_id": "a561a466-4cef-4b98-bb44-4864610819d8",
"rfi_type": "transaction",
"account_id": "c061dac9-631e-471d-b52a-de31a16a9ab3",
"create_time": "2025-04-15T11:58:58+08:00",
"update_time": "2025-04-15T11:58:58+08:00",
"transaction_type": "payout",
"ref_reference_id": "9aa46b68-bc19-49fd-8950-bad9a84f98d8"
}
}